hi everyone,

when I compilt my client side, in command line I get this error.

Note: ChatClient.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

and when i recompile with the option i get this worning:

warning: [deprecation] readLine() in java.io.Data
InputStream has been deprecated
            while ((responseLine = is.readLine()) != null) {
                                     ^
1 warning

Does anyone know what am I doing wrong?

thank you

Those are warnings, not errors.

They're related to things that you're writing having been replaced by other methods and ways of working in the current language specification.
The first is because you're not using generics, causing typesafety on Collections to fail.
The second is you using an old method that is no longer advised for use. Check the API documentation for suggested alternatives.